Bug 928011 (CVE-2013-2494) - CVE-2013-2494 dhcp: bind/libdns CVE-2013-2266 regular expressions excessive resource consumption DoS
Summary: CVE-2013-2494 dhcp: bind/libdns CVE-2013-2266 regular expressions excessive r...
Keywords:
Status: CLOSED DUPLICATE of bug 928027
Alias: CVE-2013-2494
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 928048
TreeView+ depends on / blocked
 
Reported: 2013-03-26 17:03 UTC by Jan Lieskovsky
Modified: 2019-09-29 13:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-27 10:36:35 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2013-03-26 17:03:56 UTC
A denial of service flaw was found in the way libdns library implementation of BIND processed certain requests. A DHCP client could issue a specially-crafted DHCP protocol request that, when processed would lead to excessive memory consumption (memory exhaustion) at the side of the DHCP server process, possibly leading to its crash.

References:
[1] https://kb.isc.org/article/AA-00880
[2] ftp://ftp.isc.org/isc/dhcp/4.2.5-P1/dhcp-4.2.5-P1-RELNOTES

Comment 6 Tomas Hoger 2013-03-26 19:31:53 UTC
Release notes indicate:

- A security issue in Bind9 was found and fixed.  This release includes the
  fixed Bind9 code.  There have been no code changes to the DHCP code.
  [ISC-Bugs #32688]
  CVE: CVE-2013-2266

DHCP update upgrades used Bind version to fix CVE-2013-2266 (bug 928027).  There should be no separate CVE id assigned for DHCP just because it's different application that uses/embeds vulnerable Bind code.

Comment 7 Tomas Hoger 2013-03-26 19:46:40 UTC
Fedora dhcp builds remove embed bind source and link against system libdns:

http://pkgs.fedoraproject.org/cgit/dhcp.git/tree/dhcp.spec?id=4a364d130b918caed6d357fd5a1fcc2c35926851#n176

Comment 12 Huzaifa S. Sidhpurwala 2013-03-27 10:36:13 UTC
Statement:

Not Vulnerable. This issue does not affect the version of dhcp as shipped with Red Hat Enterprise Linux 5 and 6.

Comment 13 Huzaifa S. Sidhpurwala 2013-03-27 10:36:35 UTC

*** This bug has been marked as a duplicate of bug 928027 ***

Comment 14 Huzaifa S. Sidhpurwala 2013-03-27 10:37:36 UTC
This issue does not affect the version of dhcp as shipped with Fedora 17 and Fedora 18. More details in comment #7


Note You need to log in before you can comment on or make changes to this bug.